org.apache.poi.hwpf.model

## Enum FieldsDocumentPart

- java.lang.Object
- - java.lang.Enum<FieldsDocumentPart>
  - - org.apache.poi.hwpf.model.FieldsDocumentPart

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldsDocumentPart>

      @Internal
      public enum FieldsDocumentPart
      extends java.lang.Enum<FieldsDocumentPart>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATIONS` annotation subdocument
    `ENDNOTES` endnote subdocument
    `FOOTNOTES` footnote subdocument
    `HEADER` header subdocument
    `HEADER_TEXTBOX` header textbox subdoc
    `MAIN` main document
    `TEXTBOX` textbox subdoc

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFibFieldsField()`
    `static FieldsDocumentPart` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldsDocumentPart[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANNOTATIONS

          public static final FieldsDocumentPart ANNOTATIONS

      annotation subdocument

    - #### ENDNOTES

          public static final FieldsDocumentPart ENDNOTES

      endnote subdocument

    - #### FOOTNOTES

          public static final FieldsDocumentPart FOOTNOTES

      footnote subdocument

    - #### HEADER

          public static final FieldsDocumentPart HEADER

      header subdocument

    - #### HEADER_TEXTBOX

          public static final FieldsDocumentPart HEADER_TEXTBOX

      header textbox subdoc

    - #### MAIN

          public static final FieldsDocumentPart MAIN

      main document

    - #### TEXTBOX

          public static final FieldsDocumentPart TEXTBOX

      textbox subdoc

  - ### Method Detail

    - #### values

          public static FieldsDocumentPart[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldsDocumentPart c : FieldsDocumentPart.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldsDocumentPart valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFibFieldsField

          public int getFibFieldsField()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.